Skip to navigation

Retrieve a product rate plan charge

View as Markdown
Retrieves basic information about a product rate plan charge.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

product-rate-plan-charge-keystringRequired
The unique number or ID of the product rate plan charge to be retrieved.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Query parameters

show-charge-definitionsbooleanOptional

Specifies whether to include the product charge definitions of this charge in the response.

Note: This parameter is applicable only if the Attribute-based Pricing feature is enabled. The Attribute-based Pricing feature in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters. If you are interested, please reach out to your CSM.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
applyDiscountToenum or nullOptional
Indicates which type of charge the discount charge applies to.
billingDaystringOptional
The bill cycle type for this charge.
billingPeriodstringOptional
The billing period for this charge.
billingPeriodAlignmentenumOptional
The billing period alignment setting for this charge.
Allowed values:
billingTimingenumOptional
The billing timing for this charge.
Allowed values:
chargeFunctionenumOptional

Note: This field is only available if you have the Prepaid with Drawdown or Minimum Commitment feature enabled.

To use this field, you must set the X-Zuora-WSDL-Version request header to 141 or higher. Otherwise, an error occurs.

This field defines what type of charge it is:

  • Standard: Normal charge with no Prepayment or Commitment or Drawdown.
  • Prepayment: For recurring charges. Unit or currency based prepaid charge.
  • CommitmentTrueUp: For recurring charges. Currency based minimum commitment charge.
  • Drawdown: For usage charges. Drawdown from prepaid funds.
  • DrawdownAndCreditCommitment: For usage charges. Drawdown from prepaid funds and then credit to minimum commitment funds.
  • CreditCommitment: For usage charges. Credit to minimum commitment funds.
commitmentTypeenumOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

To use this field, you must set the X-Zuora-WSDL-Version request header to 133 or higher. Otherwise, an error occurs.

This field defines the type of commitment. A prepaid charge can be UNIT or CURRENCY. A minimum commitment(in-arrears) charge can only be CURRENCY type. For topup(recurring or one-time) charges, this field indicates what type of funds are created.

  • If UNIT, it will create a fund with given prepaidUom.
  • If CURRENCY, it will create a fund with the currency amount calculated in list price.

For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges.

Allowed values:
customFieldsobjectOptional
Container for custom fields of a Product Rate Plan Charge object.
defaultQuantitydouble or nullOptional

The default quantity.

This field is applicable only for one-time and recurring charges.

deliveryScheduleobjectOptional
descriptionstringOptional
The description for this charge.
discountClassstring or nullOptional

The class that the discount belongs to. The discount class defines the order in which discount product rate plan charges are applied.

For more information, see Manage Discount Classes.

discountLevelenum or nullOptional

The application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge.

Allowed values:
endDateConditionenumOptional
The end date condition for this charge.
Allowed values:
excludeItemBillingFromRevenueAccountingbooleanOptional

Indicates whether to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting.

Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.

excludeItemBookingFromRevenueAccountingbooleanOptional

Indicates whether to exclude the related rate plan charges and order line items from revenue accounting.

Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled.

isAllocationEligiblebooleanOptional

Indicates whether the charge segment is allocation eligible in revenue recognition. The default value is false.

Values: true, false

Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support.

isUnbilledbooleanOptional

Specifies how to perform the accounting during revenue recognition. The default value is false.

Values: true, false

Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support.

productCategorystringOptional

This field is used to maintain the product category for integration with Zuora Revenue.

Note: This field is available only if you have the Additional Revenue Fields property enabled.

productClassstringOptional

This field is used to maintain the product class for integration with Zuora Revenue.

Note: This field is available only if you have the Additional Revenue Fields property enabled.

productFamilystringOptional

This field is used to maintain the product family for integration with Zuora Revenue.

Note: This field is available only if you have the Additional Revenue Fields property enabled.

productLinestringOptional

This field is used to maintain the product line for integration with Zuora Revenue.

Note: This field is available only if you have the Additional Revenue Fields property enabled.

prorationOptionenumOptional

Note: This field is only available if you have the Charge Level Proration feature enabled. For more information, see Usage charge proration and Charge level proration option for a recurring charge.

To use this field, you must set the X-Zuora-WSDL-Version request header to 135 or higher. Otherwise, an error occurs.

You can use this field to specify the charge-level proration option for a usage charge or recurring charge. The tenant-level proration option will be overridden.

  • NoProration: charge-level proration option that you can set for a usage charge. This option means to not use any proration, which is the default current system behavior for a usage charge.
  • TimeBasedProration: charge-level proration option that you can set for a usage charge. This option means to prorate the usage charge amount using the actual number of days if the billing period is a partial period.
  • DefaultFromTenantSetting: charge-level proration option that you can set for a recurring charge. This option means to follow the customer billing rule proration setting.
  • ChargeFullPeriod: charge-level proration option that you can set for a recurring charge. This options means to charge the full period amount for a partial billing period. Note that this setting means that there is no proration for either collecting or refunding. Even if you cancel the recurring charge in the middle of a billing period, there is no refund for this billing period.
Allowed values:
reflectDiscountInNetAmountbooleanOptionalDefaults to false

When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue.

  • delivery pricing charge
  • prepayment charge
  • drawdown charge

Note the following:

  • If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set both the excludeItemBookingFromRevenueAccounting and excludeItemBillingFromRevenueAccounting fields to true.
  • If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges.
  • If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true.
revenueRecognitionTimingenumOptional

Specifies the type of revenue recognition timing.

Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI.

Note: This field is only available if you have the Order to Revenue feature enabled.

Allowed values:
revenueAmortizationMethodenumOptional

Specifies the type of revenue amortization method.

Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI.

Note: This field is only available if you have the Order to Revenue feature enabled.

Allowed values:
numberOfPeriodslong or nullOptional

Specifies the number of periods to use when calculating charges in an overage smoothing charge model. This field is ued when overage smoothing model is RollingWindow or Rollover.

financeInformationobjectOptional
Container for the finance information of a product rate plan charge.
idstringOptional
The unique ID of the product rate plan charge.
isStackedDiscountbooleanOptional

Note: This field is only applicable to the Discount - Percentage charge model.

To use this field, you must set the X-Zuora-WSDL-Version request header to 130 or higher. Otherwise, an error occurs.

This field indicates whether the discount is to be calculated as stacked discount. Possible values are as follows:

  • true: This is a stacked discount, which should be calculated by stacking with other discounts.
  • false: This is not a stacked discount, which should be calculated in sequence with other discounts.

For more information, see Stacked discounts.

listPriceBaseenumOptional

The base of list price.

This field is applicable only for recurring charges.

Note: The Per_Year enum value is available only if you have the Annual List Price feature enabled.

Allowed values:
modelenumOptional
Determines how to calculate charges. Charge models must be individually activated in Zuora Billing administration.
namestringOptional
The name of the product rate plan charge.
numberOfPeriodlongOptional
Indicates the number of periods to use when calculating charges in an overage smoothing charge model. The valid value is a positive whole number.
overageCalculationOptionenum or nullOptional

Determines when to calculate overage charges. If the value of the smoothingMode field is not specified, the value of this field is ignored.

Values:

  • EndOfSmoothingPeriod: This option is used by default. The overage is charged at the end of the smoothing period.
  • PerBillingPeriod: The overage is charged on-demand rather than waiting until the end of the smoothing period.
Allowed values:
overageUnusedUnitsCreditOptionenum or nullOptional
Determines whether to credit the customer with unused units of usage.
Allowed values:
priceChangeOptionenum or nullOptionalDefaults to NoChange
Applies an automatic price change when a termed subscription is renewed.
Allowed values:
priceIncreaseOptionenumOptional
Applies an automatic price change when a termed subscription is renewed.
Allowed values:
priceIncreasePercentagedouble or nullOptional

Specifies the percentage to increase or decrease the price of a termed subscription’s renewal. Use this field if you set the priceIncreaseOption field to SpecificPercentageValue.

Character limit: 16

Values: a decimal value between -100 and 100

pricinglist of objectsOptional
Container for the prices of the product rate plan charge.
pricingSummarylist of stringsOptional

A concise description of the charge model and pricing that is suitable to show to your customers.

When the rate plan charge model is Tiered and multi-currency is enabled, this field includes an array of string of each currency, and each string of currency includes tier price description separated by comma.

When the rate plan charge model is DiscountPercentage, this field does not include currency.

When the rate plan charge model is not DiscountPercentage, this field includes the currency.

For the following charge models, the value of this field is an empty string:

  • Multi-Attribute Pricing
  • High Water Mark Tiered Pricing
  • High Water Mark Volume Pricing
  • Pre-Rated Per Unit Pricing
  • Pre-Rated Pricing

The charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see Zuora Editions for pricing information.

productChargeDefinitionsstringOptional
A link to retrieve product charge definitions of this charge.
productDiscountApplyDetailslist of objectsOptional
Container for the application details about a discount product rate plan charge. Only discount product rate plan charges have values in this field.
productRatePlanChargeNumberstring or nullOptional
The number of this product rate plan charge.
ratingGroupenum or nullOptionalDefaults to ByBillingPeriod

Specifies a rating group based on which usage records are rated.

Possible values:

  • ByBillingPeriod: The rating is based on all the usages in a billing period.
  • ByUsageStartDate: The rating is based on all the usages on the same usage start date.
  • ByUsageRecord: The rating is based on each usage record.
  • ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv).
  • ByGroupId: The rating is based on all the usages in a custom group.

Notes:

  • The ByBillingPeriod value can be applied for all charge models.
  • The ByUsageStartDate, ByUsageRecord, and ByUsageUpload values can only be applied for per unit, volume pricing, and tiered pricing charge models.
  • The ByGroupId value is only available if you have the Active Rating feature enabled.
  • Use this field only for Usage charges. One-Time Charges and Recurring Charges return NULL.
Allowed values:
recognizedRevenueAccountstringOptional<=100 characters

The name of the recognized revenue account for this charge.

  • Required when the Allow Blank Accounting Code setting is No.
  • Optional when the Allow Blank Accounting Code setting is Yes.

This feature is in Limited Availability. If you wish to have access to the feature, submit a request at Zuora Global Support.

revRecCodestring or nullOptional<=70 characters
Associates this product rate plan charge with a specific revenue recognition code.
revRecTriggerConditionenum or nullOptional
Specifies when revenue recognition begins.
Allowed values:
revenueRecognitionRuleNameenumOptional
Determines when to recognize the revenue for this charge.
Allowed values:
smoothingModelenum or nullOptional
Specifies the smoothing model for an overage smoothing charge model.
Allowed values:
specificBillingPerioddouble or nullOptional
The specific number of billing periods for this charge.
specificListPriceBaseinteger or nullOptional1-200

The number of months for the list price base of the charge. The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months.

successbooleanOptional
Indicates whether the request succeeded.
taxCodestringOptional<=64 characters

Specifies the tax code for taxation rules. This field is required when the taxable field is set to true.

Note: This value affects the tax calculation of the rate plan charge.

taxModeenum or nullOptional

Determines how to define taxation for the charge. This field is required when the taxable field is set to true.

Note: This value affects the tax calculation of the rate plan charge.

Allowed values:
taxablebooleanOptional

Determines whether the charge is taxable. When set to true, the taxMode and taxCode fields are required when creating or updating th Product Rate Plan Charge object.

Character limit: 5

Values: true, false

Note: This value affects the tax calculation of rate plan charges that come from the ProductRatePlanCharge.

triggerEventenumOptional

Specifies when to start billing the customer for the charge.

Values:

  • ContractEffective is the date when the subscription’s contract goes into effect and the charge is ready to be billed.
  • ServiceActivation is the date when the services or products for a subscription have been activated and the customers have access.
  • CustomerAcceptance is when the customer accepts the services or products for a subscription.
Allowed values:
typeenumOptional
Specifies the type of charge.
Allowed values:
uomstring or nullOptional

Indicates the units of measure (UOM) that is configured in Settings > Billing for the product rate plan charge.

upToPeriodsdouble or nullOptional

The number of up-to-periods value for this charge.

upToPeriodsTypeenum or nullOptional

The up-to-periods type setting for this charge.

Allowed values:
usageRecordRatingOptionenum or nullOptionalDefaults to EndOfBillingPeriod

Determines how Zuora processes usage records for per-unit usage charges.

Allowed values:
useDiscountSpecificAccountingCodeboolean or nullOptional

Determines whether to define a new accounting code for the new discount charge.

Character limit: 5

Values: true, false

useTenantDefaultForPriceChangebooleanOptional

Applies the tenant-level percentage uplift value for an automatic price change to a termed subscription’s renewal.

Character limit: 5

Values: true, false

applyToBillingPeriodPartiallybooleanOptional

Allow the discount duration to be aligned with the billing period partially.

Note: You must enable the Enhanced Discount feature to access this field.

isPrepaidbooleanOptional

Indicates whether this charge is a prepayment (topup) charge or a drawdown charge.

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Values: true or false.

prepaidOperationTypeenum or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The type of this charge. It is either a prepayment (topup) charge or a drawdown charge.

Allowed values:
prepaidQuantitydouble or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The number of units included in a prepayment charge. Must be a positive number (>0).

prepaidTotalQuantitydouble or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The total amount of units that end customers can use during a validity period when they subscribe to a prepayment charge.

prepaidUomstring or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Unit of measurement for a prepayment charge.

validityPeriodTypeenumOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The period in which the prepayment units are valid to use as defined in a prepayment charge.

Allowed values:
drawdownRatedouble or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The conversion rate between Usage UOM and Drawdown UOM for a drawdown charge. Must be a positive number (>0).

drawdownUomstring or nullOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Unit of measurement for a drawdown charge.

creditOptionenumOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The way to calculate credit. See Credit Option for more information.

Allowed values:
isRolloverbooleanOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

The value is either “true” or “false”. It determines whether the rollover fields are needed.

rolloverApplyenumOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

This field defines the priority of rollover, which is either first or last.

Allowed values:
rolloverPeriodLengthintegerOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

Use this field when you want to set the rollover fund’s period length shorter than the prepayment charge’s validity period. In this case, you must set the rolloverPeriods field to 1. For example, you can define the rollover fund’s period length as 5 months, shorter than the prepayment charge’s validity period: a year.

rolloverPeriodsdoubleOptional

Note: This field is only available if you have the Prepaid with Drawdown feature enabled.

This field defines the number of rollover periods, it is restricted to 3.

formulastringOptional

The price lookup formula defined for the product rate plan charge, which is used to identify the correct and relevant charge definition based on the context.

For more information, see Price lookup in Attribute-based Pricing.

Note: This field is available only if the Attribute-based Pricing feature is enabled.